#2633 closed defect (fixed)

waf build failed for rtems-libbsd

Reported by: joguin Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: network/legacy Version: 5
Severity: normal Keywords:
Cc: Chris Johns Blocked By:
Blocking:

Description

The rtems-libbsd failed when building with waf. Here is the output:

[488/845] Compiling freebsd/sys/kern/subr_taskqueue.c
In file included from /home/josh/development/rtems/bsps/4.12/i386-rtems4.12/pc386/lib/include/rtems/score/threadimpl.h:36:0,

from ../../freebsd/sys/kern/subr_sleepqueue.c:91:

/home/josh/development/rtems/bsps/4.12/i386-rtems4.12/pc386/lib/include/rtems/score/watchdogimpl.h: In function '_Watchdog_Per_CPU_insert_relative':
/home/josh/development/rtems/bsps/4.12/i386-rtems4.12/pc386/lib/include/rtems/score/watchdogimpl.h:356:18: error: 'struct <anonymous>' has no member named '_bsd_ticks'; did you mean 'ticks'?

cpu->Watchdog.ticks + ticks


In file included from ../../freebsd/sys/kern/subr_sleepqueue.c:62:0:
../../freebsd/sys/kern/subr_sleepqueue.c: In function 'sleepq_set_timeout':
../../freebsd/sys/kern/subr_sleepqueue.c:424:29: error: 'Thread_Timer_information {aka struct <anonymous>}' has no member named 'state'

BSD_ASSERT(executing->Timer.state == WATCHDOG_INACTIVE);


../../freebsd/sys/kern/subr_sleepqueue.c:424:2: note: in expansion of macro 'BSD_ASSERT'

BSD_ASSERT(executing->Timer.state == WATCHDOG_INACTIVE);
~

../../freebsd/sys/kern/subr_sleepqueue.c:425:2: error: too many arguments to function '_Watchdog_Initialize'

_Watchdog_Initialize(&executing->Timer, sleepq_timeout,
~

In file included from /home/josh/development/rtems/bsps/4.12/i386-rtems4.12/pc386/lib/include/rtems/score/threadimpl.h:36:0,

from ../../freebsd/sys/kern/subr_sleepqueue.c:91:

/home/josh/development/rtems/bsps/4.12/i386-rtems4.12/pc386/lib/include/rtems/score/watchdogimpl.h:178:27: note: declared here

RTEMS_INLINE_ROUTINE void _Watchdog_Initialize(

~

Waf: Leaving directory `/home/josh/development/rtems/rtems-libbsd/build/i386-rtems4.12-pc386'
Build failed

Change History (9)

comment:1 Changed on Mar 8, 2016 at 9:33:30 PM by Joel Sherrill

Component: Generalnetworking
Milestone: 4.11.14.12
Version: 4.114.12

comment:2 Changed on Mar 8, 2016 at 9:34:16 PM by Joel Sherrill

Most likely a side-effect of the recent watchdog change to RBTree.

comment:3 Changed on Mar 8, 2016 at 11:21:52 PM by Sebastian Huber

Yes, I had no time to update this since I am on a business trip this week.

comment:4 Changed on Mar 8, 2016 at 11:22:04 PM by Sebastian Huber

Status: newaccepted

comment:5 Changed on Mar 8, 2016 at 11:32:32 PM by Joel Sherrill

Cc: Chris Johns added

comment:6 Changed on Mar 8, 2016 at 11:33:25 PM by Joel Sherrill

Chris pointed out that this means that unless the code as written in specific to 4.11. Thus it may be necessary to create a 4.11 branch at this point.

Hmm.. It has a 4.11 branch. Is it in sync as much as possible with the master?

Last edited on Mar 8, 2016 at 11:34:04 PM by Joel Sherrill (previous) (diff)

comment:7 Changed on Mar 14, 2016 at 8:32:12 AM by Sebastian Huber

Resolution: fixed
Status: acceptedclosed

comment:8 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:9 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.